Page MenuHomePhabricator

UploadWizard does not let you input 'altitude' when uploading a file (geodata)
Open, LowestPublic

Description

This is slightly related to T34410

These altitude numbers make the UW fail "But the UW considers an altitude not being a simple number to be a syntax error. So you have to change the altitude values, strip the /1 in simple cases or do the calculation in complicated cases"


Version: unspecified
Severity: normal
URL: https://commons.wikimedia.org/wiki/Commons:Upload_Wizard_feedback#Geo_data_altitude_expressed_as_quotient_causes_problems

Details

Reference
bz39553
Related Gerrit Patches:
mediawiki/extensions/UploadWizard : masterRemove commented-out for ages 'altitude' code

Event Timeline

bzimport raised the priority of this task from to Lowest.Nov 22 2014, 1:02 AM
bzimport added a project: UploadWizard.
bzimport set Reference to bz39553.
bzimport added a subscriber: Unknown Object (MLST).
TheDJ created this task.Aug 22 2012, 9:04 AM
TheDJ added a comment.Aug 25 2012, 7:55 AM

Interesting observation btw...

wikiText += '{{Location dec|'+ lat + '|' + lon + '|' + alt + '}}\n';

However location dec and geohack don't even support an altitude parameter, and definitely not in that format....

TheDJ added a comment.Aug 25 2012, 8:14 AM

Submitted a patch https://gerrit.wikimedia.org/r/21404 to simply not add Altitude to the UW for now. 2 big issues that make it sort of useless seems enough of an argument for that.

It was pointed out here:
http://lists.wikimedia.org/pipermail/commons-l/2012-June/006537.html

That we can express the altitude information as an information attribute in the last parameter of the location template, and that this was preferred to throwing it away. However, if we keep it, we do need to ensure that it doesn't ever trip the user.

[Removing RESOLVED LATER as discussed in
http://lists.wikimedia.org/pipermail/wikitech-l/2012-November/064240.html .
Reopening and setting priority to "Lowest".
For future reference, please use either RESOLVED WONTFIX (for issues that will
not be fixed), or simply set lowest priority. Thanks a lot!]

The change got merged, is this fixed?

matmarex renamed this task from UW fails on altitudes of rational numbers to UploadWizard does not let you input 'altitude' when uploading a file (geodata).Jul 31 2015, 1:34 PM
matmarex updated the task description. (Show Details)
matmarex set Security to None.
matmarex removed a subscriber: wikibugs-l-list.
Restricted Application added subscribers: Steinsplitter, Matanya, Aklapper. · View Herald TranscriptJul 31 2015, 1:34 PM

Change 228249 had a related patch set uploaded (by Bartosz Dziewoński):
Remove commented-out for ages 'altitude' code

https://gerrit.wikimedia.org/r/228249

Change 228249 merged by jenkins-bot:
Remove commented-out for ages 'altitude' code

https://gerrit.wikimedia.org/r/228249

Jdforrester-WMF moved this task from Untriaged to Backlog on the Multimedia board.Sep 4 2015, 6:06 PM